#pragma compile(Console, True)
#NoTrayIcon

If (Not @Compiled) Then
	MsgBox(0, "Error", "This script must be compiled to run correctly.")
	Exit
EndIf

Global $sIniPath = @ScriptDir & "\" & StringTrimRight(@ScriptName, 3) & "ini"
Global $sHotKey = IniRead($sIniPath, "Settings", "sHotKey", "{Insert}")
If (HotKeySet($sHotKey, "Start") = 1) Then
	ConsoleWrite("HotKeySet() called and '" & $sHotKey & "' key registered" & @CRLF)
Else
	ConsoleWrite("HotKeySet() called but '" & $sHotKey & "' key not registered" & @CRLF)
EndIf

Global $bExit = True

While True
	Sleep(1000)
WEnd

Func Start()
	$bExit = Not $bExit
	If ($bExit) Then
		ConsoleWrite("Start() called but $bExit is TRUE >> Cancel script" & @CRLF)
		ToggleMouse("off")
		HotKeySet($sHotKey)
		Run(@ScriptFullPath)
		Exit
	EndIf
	Global $iTextNum = IniRead($sIniPath, "Texts", "iTextNum", 1)
	Global $sButton = IniRead($sIniPath, "Settings", "sButton", "left")
	Global $iSpeed = 100 / IniRead($sIniPath, "Settings", "iSpeed", 33)
	Global $fScale = IniRead($sIniPath, "Settings", "fScale", 1.0)
	ConsoleWrite("Start() called, settings set to:" & @CRLF & "    $iTextNum = " & $iTextNum & @CRLF & "    $iSpeed = " & $iSpeed & @CRLF & "    $fScale = " & $fScale & @CRLF)
	$iXPosStartA = MouseGetPos(0)
	$iYPosStartA = MouseGetPos(1)
	For $iLine = 1 To $iTextNum Step 1
		Global $sText_N = IniRead($sIniPath, "Texts", "sText_" & $iLine, "")
		Global $iLength = StringLen($sText_N)
		$iXPosStartB = MouseGetPos(0)
		$iYPosStartB = MouseGetPos(1)
		If ($iLength > 0) Then
			ConsoleWrite("Calling WriteLine(), $iLength = " & $iLength & @CRLF)
			WriteLine($sText_N)
		EndIf
		If ($iLine <> $iTextNum) Then
			$iXPos = $iXPosStartB
			$iYPos = $iYPosStartB
			ConsoleWrite("Calling MoveMouseToCustomPoint() to switch line" & @CRLF)
			MoveMouseToCustomPoint(0, -26)
		EndIf
	Next
	MouseMove($iXPosStartA, $iYPosStartA, $iSpeed)
	$bExit = True
EndFunc

Func WriteLine($sText)
	For $iIndex = 1 To $iLength Step 1
		WriteSymbol(StringMid($sText, $iIndex, 1))
	Next
EndFunc

Func WriteSymbol($sSymbol)
	Global $iXPos = MouseGetPos(0)
	Global $iYPos = MouseGetPos(1)
	Switch $sSymbol
		Case "а"
			ToggleMouse("on")
			MoveMouseToPoint(2)
			MoveMouseToPoint(9)
			ToggleMouse("off")
			MoveMouseToCustomPoint(2, 6)
			ToggleMouse("on")
			MoveMouseToCustomPoint(12, 6)
			ToggleMouse("off")
		Case "б"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			ToggleMouse("off")
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToPoint(6)
			MoveMouseToPoint(9)
			MoveMouseToPoint(7)
			ToggleMouse("off")
		Case "в"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(2)
			MoveMouseToPoint(6)
			MoveMouseToPoint(4)
			ToggleMouse("off")
			MoveMouseToPoint(7)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			MoveMouseToPoint(5)
			ToggleMouse("off")
		Case "г"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			ToggleMouse("off")
		Case "д"
			ToggleMouse("on")
			MoveMouseToCustomPoint(0, 5)
			MoveMouseToCustomPoint(14, 5)
			MoveMouseToPoint(9)
			ToggleMouse("off")
			MoveMouseToCustomPoint(3, 5)
			ToggleMouse("on")
			MoveMouseToCustomPoint(3, 18)
			MoveMouseToCustomPoint(11, 18)
			MoveMouseToCustomPoint(11, 5)
			ToggleMouse("off")
		Case "е"
			MoveMouseToPoint(9)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			ToggleMouse("off")
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToPoint(6)
			ToggleMouse("off")
		Case "ё"
			MoveMouseToPoint(9)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToCustomPoint(0, 14)
			MoveMouseToCustomPoint(14, 14)
			ToggleMouse("off")
			MoveMouseToCustomPoint(13, 18)
			ToggleMouse("on")
			MoveMouseToCustomPoint(10, 18)
			ToggleMouse("off")
			MoveMouseToCustomPoint(4, 18)
			ToggleMouse("on")
			MoveMouseToCustomPoint(1, 18)
			ToggleMouse("off")
			MoveMouseToCustomPoint(0, 7)
			ToggleMouse("on")
			MoveMouseToCustomPoint(14, 7)
			ToggleMouse("off")
		Case "ж"
			ToggleMouse("on")
			MoveMouseToPoint(3)
			ToggleMouse("off")
			MoveMouseToPoint(2)
			ToggleMouse("on")
			MoveMouseToPoint(8)
			ToggleMouse("off")
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "з"
			ToggleMouse("on")
			MoveMouseToPoint(8)
			MoveMouseToPoint(6)
			MoveMouseToPoint(5)
			MoveMouseToPoint(3)
			MoveMouseToPoint(1)
			ToggleMouse("off")
		Case "и"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToPoint(3)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "й"
			MoveMouseToCustomPoint(0, 14)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToCustomPoint(14, 14)
			MoveMouseToPoint(9)
			ToggleMouse("off")
			MoveMouseToCustomPoint(4, 18)
			ToggleMouse("on")
			MoveMouseToCustomPoint(10, 18)
			ToggleMouse("off")
		Case "к"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			ToggleMouse("off")
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(4)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "л"
			ToggleMouse("on")
			MoveMouseToPoint(2)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "м"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(5)
			MoveMouseToPoint(3)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "н"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			ToggleMouse("off")
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToPoint(6)
			ToggleMouse("off")
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "о"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			MoveMouseToPoint(9)
			MoveMouseToPoint(7)
			ToggleMouse("off")
		Case "п"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "р"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			MoveMouseToPoint(6)
			MoveMouseToPoint(4)
			ToggleMouse("off")
		Case "с"
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(7)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "т"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(3)
			ToggleMouse("off")
			MoveMouseToPoint(2)
			ToggleMouse("on")
			MoveMouseToPoint(8)
			ToggleMouse("off")
		Case "у"
			ToggleMouse("on")
			MoveMouseToPoint(3)
			ToggleMouse("off")
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(5)
			ToggleMouse("off")
		Case "ф"
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			MoveMouseToPoint(6)
			MoveMouseToPoint(4)
			ToggleMouse("off")
			MoveMouseToPoint(2)
			ToggleMouse("on")
			MoveMouseToPoint(8)
			ToggleMouse("off")
		Case "х"
			ToggleMouse("on")
			MoveMouseToPoint(3)
			ToggleMouse("off")
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "ц"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToCustomPoint(0, 3)
			MoveMouseToCustomPoint(10, 3)
			MoveMouseToCustomPoint(10, 18)
			ToggleMouse("off")
			MoveMouseToCustomPoint(10, 3)
			ToggleMouse("on")
			MoveMouseToCustomPoint(14, 3)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "ч"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(4)
			MoveMouseToPoint(6)
			ToggleMouse("off")
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "ш"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToPoint(8)
			MoveMouseToPoint(2)
			ToggleMouse("off")
			MoveMouseToPoint(8)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			MoveMouseToPoint(3)
			ToggleMouse("off")
		Case "щ"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToCustomPoint(0, 3)
			MoveMouseToCustomPoint(10, 3)
			MoveMouseToCustomPoint(10, 18)
			ToggleMouse("off")
			MoveMouseToCustomPoint(5, 18)
			ToggleMouse("on")
			MoveMouseToCustomPoint(5, 3)
			ToggleMouse("off")
			MoveMouseToCustomPoint(10, 3)
			ToggleMouse("on")
			MoveMouseToCustomPoint(14, 3)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "ъ"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToCustomPoint(5, 18)
			MoveMouseToCustomPoint(5, 0)
			MoveMouseToPoint(9)
			MoveMouseToPoint(6)
			MoveMouseToCustomPoint(5, 9)
			ToggleMouse("off")
		Case "ы"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToCustomPoint(9, 0)
			MoveMouseToCustomPoint(9, 9)
			MoveMouseToPoint(4)
			ToggleMouse("off")
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "ь"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToPoint(9)
			MoveMouseToPoint(6)
			MoveMouseToPoint(4)
			ToggleMouse("off")
		Case "э"
			ToggleMouse("on")
			MoveMouseToPoint(8)
			MoveMouseToPoint(6)
			MoveMouseToPoint(2)
			MoveMouseToPoint(1)
			ToggleMouse("off")
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToPoint(6)
			ToggleMouse("off")
		Case "ю"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			ToggleMouse("off")
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToPoint(5)
			MoveMouseToPoint(2)
			MoveMouseToPoint(3)
			MoveMouseToPoint(9)
			MoveMouseToPoint(8)
			MoveMouseToPoint(5)
			ToggleMouse("off")
		Case "я"
			ToggleMouse("on")
			MoveMouseToPoint(5)
			ToggleMouse("off")
			MoveMouseToPoint(6)
			ToggleMouse("on")
			MoveMouseToPoint(4)
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "0"
			MoveMouseToPoint(8)
			ToggleMouse("on")
			MoveMouseToPoint(4)
			MoveMouseToPoint(2)
			MoveMouseToPoint(6)
			MoveMouseToPoint(8)
			ToggleMouse("off")
		Case "1"
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToCustomPoint(10, 18)
			MoveMouseToCustomPoint(10, 0)
			ToggleMouse("off")
			MoveMouseToCustomPoint(6, 0)
			ToggleMouse("on")
			MoveMouseToCustomPoint(14, 0)
			ToggleMouse("off")
		Case "2"
			MoveMouseToCustomPoint(0, 14)
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			MoveMouseToCustomPoint(14, 12)
			MoveMouseToCustomPoint(0, 6)
			MoveMouseToPoint(7)
			MoveMouseToPoint(9)
			MoveMouseToCustomPoint(14, 4)
			ToggleMouse("off")
		Case "3"
			WriteSymbol("з")
		Case "4"
			MoveMouseToPoint(2)
			ToggleMouse("on")
			MoveMouseToPoint(4)
			MoveMouseToPoint(6)
			ToggleMouse("off")
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "5"
			ToggleMouse("on")
			MoveMouseToPoint(9)
			MoveMouseToPoint(6)
			MoveMouseToPoint(4)
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			ToggleMouse("off")
		Case "6"
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(2)
			MoveMouseToPoint(4)
			MoveMouseToPoint(7)
			MoveMouseToPoint(9)
			MoveMouseToPoint(6)
			MoveMouseToPoint(4)
			ToggleMouse("off")
		Case "7"
			MoveMouseToCustomPoint(0, 12)
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			MoveMouseToPoint(8)
			ToggleMouse("off")
		Case "8"
			ToggleMouse("on")
			MoveMouseToPoint(4)
			MoveMouseToPoint(6)
			MoveMouseToPoint(9)
			MoveMouseToPoint(7)
			ToggleMouse("off")
			MoveMouseToCustomPoint(3, 9)
			ToggleMouse("on")
			MoveMouseToCustomPoint(3, 18)
			MoveMouseToCustomPoint(11, 18)
			MoveMouseToCustomPoint(11, 9)
			ToggleMouse("off")
		Case "9"
			ToggleMouse("on")
			MoveMouseToPoint(8)
			MoveMouseToPoint(6)
			MoveMouseToPoint(3)
			MoveMouseToPoint(1)
			MoveMouseToPoint(4)
			MoveMouseToPoint(6)
			ToggleMouse("off")
		Case "a"
			WriteSymbol("а")
		Case "b"
			WriteSymbol("в")
		Case "c"
			WriteSymbol("с")
		Case "d"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(2)
			MoveMouseToPoint(6)
			MoveMouseToPoint(8)
			MoveMouseToPoint(7)
			ToggleMouse("off")
		Case "e"
			WriteSymbol("е")
		Case "f"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			ToggleMouse("off")
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToPoint(6)
			ToggleMouse("off")
		Case "g"
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(7)
			MoveMouseToPoint(9)
			MoveMouseToPoint(6)
			MoveMouseToPoint(5)
			ToggleMouse("off")
		Case "h"
			WriteSymbol("н")
		Case "i"
			MoveMouseToCustomPoint(3, 18)
			ToggleMouse("on")
			MoveMouseToCustomPoint(11, 18)
			ToggleMouse("off")
			MoveMouseToPoint(2)
			ToggleMouse("on")
			MoveMouseToPoint(8)
			ToggleMouse("off")
			MoveMouseToCustomPoint(3, 0)
			ToggleMouse("on")
			MoveMouseToCustomPoint(11, 0)
			ToggleMouse("off")
		Case "j"
			MoveMouseToCustomPoint(0, 6)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToCustomPoint(10, 0)
			MoveMouseToCustomPoint(10, 18)
			ToggleMouse("off")
			MoveMouseToCustomPoint(6, 18)
			ToggleMouse("on")
			MoveMouseToPoint(3)
			ToggleMouse("off")
		Case "k"
			WriteSymbol("к")
		Case "l"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "m"
			WriteSymbol("м")
		Case "n"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(9)
			MoveMouseToPoint(3)
			ToggleMouse("off")
		Case "o"
			WriteSymbol("о")
		Case "p"
			WriteSymbol("р")
		Case "q"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToCustomPoint(0, 3)
			MoveMouseToCustomPoint(11, 3)
			MoveMouseToCustomPoint(11, 18)
			MoveMouseToPoint(1)
			ToggleMouse("off")
			MoveMouseToCustomPoint(6, 8)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "r"
			ToggleMouse("on")
			MoveMouseToPoint(1)
			MoveMouseToPoint(3)
			MoveMouseToPoint(6)
			MoveMouseToPoint(4)
			ToggleMouse("off")
			MoveMouseToPoint(5)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "s"
			ToggleMouse("on")
			MoveMouseToPoint(8)
			MoveMouseToPoint(6)
			MoveMouseToPoint(4)
			MoveMouseToPoint(2)
			MoveMouseToPoint(3)
			ToggleMouse("off")
		Case "t"
			WriteSymbol("т")
		Case "u"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToPoint(8)
			MoveMouseToCustomPoint(14, 6)
			ToggleMouse("off")
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "v"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(8)
			MoveMouseToPoint(3)
			ToggleMouse("off")
		Case "w"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(7)
			MoveMouseToPoint(5)
			MoveMouseToPoint(9)
			MoveMouseToPoint(3)
			ToggleMouse("off")
		Case "x"
			WriteSymbol("х")
		Case "y"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(5)
			MoveMouseToPoint(3)
			ToggleMouse("off")
			MoveMouseToPoint(5)
			ToggleMouse("on")
			MoveMouseToPoint(8)
			ToggleMouse("off")
		Case "z"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(3)
			MoveMouseToPoint(7)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "-"
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToPoint(6)
			ToggleMouse("off")
		Case "+"
			MoveMouseToCustomPoint(7, 16)
			ToggleMouse("on")
			MoveMouseToCustomPoint(7, 2)
			ToggleMouse("off")
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToPoint(6)
			ToggleMouse("off")
		Case ":"
			MoveMouseToCustomPoint(6, 12)
			ToggleMouse("on")
			MoveMouseToCustomPoint(6, 14)
			MoveMouseToCustomPoint(8, 14)
			MoveMouseToCustomPoint(8, 12)
			MoveMouseToCustomPoint(6, 12)
			ToggleMouse("off")
			MoveMouseToCustomPoint(6, 4)
			ToggleMouse("on")
			MoveMouseToCustomPoint(6, 6)
			MoveMouseToCustomPoint(8, 6)
			MoveMouseToCustomPoint(8, 4)
			MoveMouseToCustomPoint(6, 4)
			ToggleMouse("off")
		Case "*"
			MoveMouseToCustomPoint(3, 5)
			ToggleMouse("on")
			MoveMouseToCustomPoint(11, 13)
			ToggleMouse("off")
			MoveMouseToCustomPoint(3, 13)
			ToggleMouse("on")
			MoveMouseToCustomPoint(11, 5)
			ToggleMouse("off")
		Case "^"
			MoveMouseToPoint(4)
			ToggleMouse("on")
			MoveMouseToPoint(2)
			MoveMouseToPoint(6)
			ToggleMouse("off")
		Case "="
			MoveMouseToCustomPoint(14, 12)
			ToggleMouse("on")
			MoveMouseToCustomPoint(0, 12)
			ToggleMouse("off")
			MoveMouseToCustomPoint(0, 6)
			ToggleMouse("on")
			MoveMouseToCustomPoint(14, 6)
			ToggleMouse("off")
		Case "."
			MoveMouseToCustomPoint(6, 0)
			ToggleMouse("on")
			MoveMouseToCustomPoint(6, 2)
			MoveMouseToCustomPoint(8, 2)
			MoveMouseToCustomPoint(8, 0)
			MoveMouseToCustomPoint(6, 0)
			ToggleMouse("off")
		Case "!"
			WriteSymbol(".")
			MoveMouseToCustomPoint(7, 7)
			ToggleMouse("on")
			MoveMouseToPoint(2)
			ToggleMouse("off")
		Case "?"
			WriteSymbol(".")
			MoveMouseToCustomPoint(7, 7)
			ToggleMouse("on")
			MoveMouseToCustomPoint(14, 13)
			MoveMouseToPoint(3)
			MoveMouseToPoint(1)
			MoveMouseToCustomPoint(0, 13)
			ToggleMouse("off")
		Case "["
			MoveMouseToPoint(2)
			ToggleMouse("on")
			MoveMouseToPoint(4)
			MoveMouseToPoint(8)
			ToggleMouse("off")
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(5)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case "]"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(5)
			MoveMouseToPoint(7)
			ToggleMouse("off")
			MoveMouseToPoint(2)
			ToggleMouse("on")
			MoveMouseToPoint(6)
			MoveMouseToPoint(8)
			ToggleMouse("off")
		Case "("
			MoveMouseToCustomPoint(9, 18)
			ToggleMouse("on")
			MoveMouseToCustomPoint(5, 12)
			MoveMouseToCustomPoint(5, 6)
			MoveMouseToCustomPoint(9, 0)
			ToggleMouse("off")
		Case ")"
			MoveMouseToCustomPoint(5, 18)
			ToggleMouse("on")
			MoveMouseToCustomPoint(9, 12)
			MoveMouseToCustomPoint(9, 6)
			MoveMouseToCustomPoint(5, 0)
			ToggleMouse("off")
		Case "<"
			MoveMouseToPoint(3)
			ToggleMouse("on")
			MoveMouseToPoint(4)
			MoveMouseToPoint(9)
			ToggleMouse("off")
		Case ">"
			MoveMouseToPoint(1)
			ToggleMouse("on")
			MoveMouseToPoint(6)
			MoveMouseToPoint(7)
			ToggleMouse("off")
		Case ","
			MoveMouseToCustomPoint(9, 5)
			ToggleMouse("on")
			MoveMouseToCustomPoint(6, 5)
			MoveMouseToCustomPoint(6, 7)
			MoveMouseToCustomPoint(9, 7)
			MoveMouseToCustomPoint(9, 5)
			MoveMouseToCustomPoint(5, 0)
			ToggleMouse("off")
		Case "/"
			MoveMouseToCustomPoint(4, 0)
			ToggleMouse("on")
			MoveMouseToCustomPoint(10, 18)
			ToggleMouse("off")
		Case "#"
			MoveMouseToCustomPoint(0, 12)
			ToggleMouse("on")
			MoveMouseToCustomPoint(14, 12)
			ToggleMouse("off")
			MoveMouseToCustomPoint(14, 6)
			ToggleMouse("on")
			MoveMouseToCustomPoint(0, 6)
			ToggleMouse("off")
			MoveMouseToCustomPoint(2, 0)
			ToggleMouse("on")
			MoveMouseToCustomPoint(6, 18)
			ToggleMouse("off")
			MoveMouseToCustomPoint(12, 18)
			ToggleMouse("on")
			MoveMouseToCustomPoint(8, 0)
			ToggleMouse("off")
		Case "_"
			ToggleMouse("on")
			MoveMouseToPoint(9)
			ToggleMouse("off")
	EndSwitch
	MoveMouseToPoint(0)
EndFunc

Func ToggleMouse($sState)
	If ($sState == "on") Then
		MouseDown($sButton)
	ElseIf ($sState == "off") Then
		MouseUp($sButton)
	EndIf
EndFunc

Func MoveMouseToPoint($iPoint)
	Switch $iPoint
		Case 0
			MoveMouseToCustomPoint(20, 0)
		Case 1
			MoveMouseToCustomPoint(0, 18)
		Case 2
			MoveMouseToCustomPoint(7, 18)
		Case 3
			MoveMouseToCustomPoint(14, 18)
		Case 4
			MoveMouseToCustomPoint(0, 9)
		Case 5
			MoveMouseToCustomPoint(7, 9)
		Case 6
			MoveMouseToCustomPoint(14, 9)
		Case 7
			MoveMouseToCustomPoint(0, 0)
		Case 8
			MoveMouseToCustomPoint(7, 0)
		Case 9
			MoveMouseToCustomPoint(14, 0)
	EndSwitch
EndFunc

Func MoveMouseToCustomPoint($iXMod, $iYMod)
	MouseMove($iXPos + $iXMod * $fScale, $iYPos - $iYMod * $fScale, $iSpeed)
EndFunc
